/* Lexer test
 */

#include <stdio.h>
#include <stdlib.h>
#include "lexer.h"
#include "main.h"

main()
{
    struct lexer *lex;
    struct token *tok;
    char buf[256];

    puts("Enter string");
    gets(buf);

    // lexer
    lex = lexer_init(buf, strlen(buf));
    
    while(tok = lexer_gettoken(lex)) {
	if (tok->type == TOKEN_QUANT)
	    printf("Quantifier: %d\n", tok->val);
	else if (tok->type == TOKEN_NUMBER)
	    printf("Number: %d\n", tok->val);
	else if (tok->type == TOKEN_STRING)
	    printf("String: %s\n", tok->string);
	else if (tok->type == TOKEN_SPECIAL)
	    printf("Special: %c\n", tok->val);
	else puts("ILLEGAL TOKEN");
	lexer_freetoken(tok);
    }
    
}
