/* Define the items used by this parser */

#include "parser.h"

static struct item_info items[] = {
    // Standards
    {"Cheeseburger", "chb", 9, 0},
    {"Hamburger", "hmb", 9, 0},
    {"McFeast", "mcf", 13, 0},
    {"Whipper", "whip", 15, 0},
    {"French Fries", "ffr", 13, 0},
    // Meals
    {"Cheeseburger meal", "cml", 25, IFL_DISCOUNT},
    {"Hamburger meal", "hml", 25, IFL_DISCOUNT},
    {"McFeast meal", "mfm", 30, IFL_DISCOUNT},
    {"Whipper meal", "wpm", 33, IFL_DISCOUNT},
    // Soft drinks
    {"Coca Cola", "CC", 5, 0},
    {"Jolt Cola", "JC", 7, 0},
    {"Sprite", "SP", 5, 0},
    {"Fanta", "FN", 5, 0},
    {0, 0, 0, 0}
};

static struct item_info attribs[] = {
    {"Large", "l", 3, 0},
    {"Ice", "i", 0, 0},
    {"Ketchup", "k", 0, 0},
    {"Mustard", "m", 0, 0},
    {"Salt", "s", 0, 0},
    {0, 0, 0, 0}
};

static struct discount_info discin[] = {
    {"System Administrator", "adm", 0.1},
    {"Student", "stu", 0.7},
    {"Standard mortal", "std", 1},
    {0, 0, 0}
};

static struct menu_info menu = { discin, items, attribs };
